> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Languages

> Manage platform languages and translations.

## Get all languages

`GET /api/languages`

Manage multi-language support for the platform. Superadmin only.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl https://zeplo.ai/api/languages \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

***

## Get enabled languages

`GET /api/languages/enabled`

***

## Get translations

`GET /api/languages/translations/:code`

```bash cURL theme={null}
curl https://zeplo.ai/api/languages/translations/en \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "code": "en",
    "name": "English",
    "translations": {
      "common.save": "Save",
      "common.cancel": "Cancel",
      "common.delete": "Delete",
      "inbox.title": "Inbox",
      "campaigns.title": "Campaigns"
    }
  }
}
```

***

## Create language

`POST /api/languages`

Superadmin only.

```json theme={null}
{
  "code": "es",
  "name": "Spanish",
  "nativeName": "Espanol",
  "enabled": true,
  "translations": {
    "common.save": "Guardar",
    "common.cancel": "Cancelar"
  }
}
```

***

## Update language

`PUT /api/languages/:id`

Superadmin only.

***

## Update translations

`PUT /api/languages/:id/translations`

Superadmin only.

```json theme={null}
{
  "translations": {
    "common.save": "Guardar",
    "inbox.title": "Bandeja de entrada"
  }
}
```

***

## Delete language

`DELETE /api/languages/:id`

Superadmin only.

***

## Copy translation keys

`POST /api/languages/:id/copy-keys`

Superadmin only.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.